All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface NodeIconInterface

All Superinterfaces:
  NodeInterface, SimpleNodeInterface

All Known Subinterfaces:
  ServerNodeInterface

All Known Implementing Classes:
  _rprxJ2ServerNode, _rprxRemoteDesignTimeServerNode, _rprxRemoteServerNodeClient, Color, File, FileList, FileSystem, FileSystemList, IMDBTable, NodeDelegate, NodeIcon, NodeView, NodeView, PrinterList, SASListNode, ServerNodeDelegate

    public interface NodeIconInterface

extends NodeInterface

NodeIconInterface defines methods for providing images for a node. When a node is used in a viewer, such as a com.sas.visuals.TreeView, it can be in one of four states: selected, expanded, both and neither. This interface defines the methods to get images for these four states.

See Also:
  `NodeInterface`, `TreeView`

Method Summary
`abstract com.sas.visuals.IconInterface` | `getDefaultIcon()` Returns the default icon for the current node.
`abstract com.sas.visuals.IconInterface` | `getExpandedIcon()` Returns the expanded icon for the current node.
`abstract com.sas.visuals.IconInterface` | `getExpandedSelectedIcon()` Returns the expandedSelected icon for the current node.
`abstract com.sas.visuals.IconInterface` | `getSelectedIcon()` Returns the selected icon for the current node.

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Method Detail

### getDefaultIcon

    com.sas.visuals.IconInterface getDefaultIcon()

  Returns the default icon for the current node.

  Returns:
    the default icon for the current node

### getExpandedIcon

    com.sas.visuals.IconInterface getExpandedIcon()

  Returns the expanded icon for the current node. If the expanded icon is null then the result of getDefaultIcon should be returned.

  Returns:
    the expanded icon for the current node

### getSelectedIcon

    com.sas.visuals.IconInterface getSelectedIcon()

  Returns the selected icon for the current node. If the selected icon is null then the result of getDefaultIcon should be returned.

  Returns:
    the selected icon for the current node

### getExpandedSelectedIcon

    com.sas.visuals.IconInterface getExpandedSelectedIcon()

  Returns the expandedSelected icon for the current node. If the expandedSelected icon is null then the result of getExpandedIcon should be returned.

  Returns:
    the expandedSelected icon for the current node

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.